# classes/phing/tasks/ext/HttpRequestTask.php

A HTTP request task.

Making an HTTP request and try to match the response against an provided regular expression.

author
  Benjamin Schultz
package
  phing.tasks.ext
since
  2.4.1
version
  $Id: HttpRequestTask.php 764 2010-04-11 18:18:51Z bschultz $

## \HttpRequestTask
jump to top

A HTTP request task.

Making an HTTP request and try to match the response against an provided regular expression.

Extends from
  \Task
author
  Benjamin Schultz
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
since
  2.4.1
version
  $Id: HttpRequestTask.php 764 2010-04-11 18:18:51Z bschultz $

### Properties

`string $_authPassword= ''`

Holds the authentication password

Details

Type
  string

`string $_authScheme= ''`

Holds the authentication scheme

Details

Type
  string

`string $_authUser= 'null'`

Holds the authentication user name

Default value `null` Details

Type
  string

`\array<Parameter> $_configData= 'array'`

Holds additional config data for HTTP_Request2

Default value `array` Details

Type
  \array<Parameter>

`\array<Parameter> $_headers= 'array'`

Holds additional header data

Default value `array` Details

Type
  \array<Parameter>

`\array<string> $_observerEvents= 'array'`

Holds the events that will be logged

Default value `array` Details

Type
  \array<string>

`string $_responseRegex= ''`

Holds the regular expression that should match the response

Details

Type
  string

`string $_url= 'null'`

Holds the request URL

Default value `null` Details

Type
  string

`boolean $_verbose= 'false'`

Whether to enable detailed logging

Default value `false` Details

Type
  boolean

### Methods

`createConfig( ) : \Parameter`
Creates a config parameter for this task
Returns

Type | Description
--- | ---
\Parameter |

`createHeader( ) : \Parameter`
Creates an additional header for this task
Returns

Type | Description
--- | ---
\Parameter |

`init( ) :`
Load the necessary environment for running this task.
Details

throws

`main( ) :`
Make the http request
`setAuthPassword( string $password ) :`
Sets the authentication password
Parameters

Name | Type | Description
--- | --- | ---
$password | string |

`setAuthScheme( string $scheme ) :`
Sets the authentication scheme
Parameters

Name | Type | Description
--- | --- | ---
$scheme | string |

`setAuthUser( string $user ) :`
Sets the authentication user name
Parameters

Name | Type | Description
--- | --- | ---
$user | string |

`setObserverEvents( string $observerEvents ) : void`
Sets a list of observer events that will be logged if verbose output is enabled.
Parameters

Name | Type | Description
--- | --- | ---
$observerEvents | string | List of observer events

`setResponseRegex( string $regex ) :`
Sets the response regex
Parameters

Name | Type | Description
--- | --- | ---
$regex | string |

`setUrl( string $url ) :`
Sets the request URL
Parameters

Name | Type | Description
--- | --- | ---
$url | string |

`setVerbose( boolean $verbose ) :`
Sets whether to enable detailed logging
Parameters

Name | Type | Description
--- | --- | ---
$verbose | boolean |

Documentation was generated by DocBlox 0.13.1.